package com.ruoyi.web;

import com.ruoyi.system.entity.BpmProcess;

import javax.tools.SimpleJavaFileObject;
import java.net.URI;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author hanzihang
 * @date 2023/11/3 2:52 PM
 */
public class ljj {
    public static void main(String[] args) {
        String yourClassPath = System.getProperty("java.class.path");
        System.out.println(yourClassPath);
        List<String> asd = new ArrayList<>();
        asd.add("123");
        asd.add("456");
        asd.add("789");
        BpmProcess process = new BpmProcess();
        List<BpmProcess> list = new ArrayList<>();
        process.setProcessId(1L);
        process.setProcessXmlContent("流程开始");
        list.add(process);
        process.setProcessId(2L);
        process.setProcessXmlContent("流程执行");
        list.add(process);
        process.setProcessId(3L);
        process.setProcessXmlContent("流程结束");
        List<BpmProcess> k = list.stream().filter(item -> item.getProcessId() == 2L).collect(Collectors.toList());
        System.out.println(process);

//        asd.stream()
//                .filter(entity -> entity.getId() == targetId)
        //(item-> item.equals("456"));

        //System.out.println(asd.toString().replaceAll("\\[", "").replaceAll("\\]", ""));
    }
}
